#include <strings.h>
#include <string.h>
#include <stdio.h>

void main (int argc, string_t argv[]) {
    string_t temp_raw, scale_in_raw, scale_out_raw;
    float temp_in = 0.0;

    if (argc >= 4) {
        temp_raw = argv[1];
        scale_in_raw = argv[2];
        scale_out_raw = argv[3];

        if (sscanf(temp_raw, "%f", &temp_in) == 1) {
            printf("Input temperature: '%f' degrees\n",
                   temp_in);
        } else {
            printf("Invalid input temperature: '%s' degrees\n",
                   temp_raw);
        }

        if (strcasecmp(scale_in_raw, "Fahrenheit") == 0 ||
            strcasecmp(scale_in_raw, "F") == 0 ||
            strcasecmp(scale_in_raw, "Celsius") == 0 ||
            strcasecmp(scale_in_raw, "C") == 0) {
            printf("Input temperature scale: '%s'\n",
                   scale_in_raw);
        } else {
            printf("Invalid input temperature scale: '%s'\n",
                   scale_in_raw);
        }

        printf("Output temperature scale: '%s'\n", scale_out_raw);
    } else {
        printf("Please specify the temperature and scales.\n");
    }
}

